Subject: Re: [PATCH -next] staging/easycap: make module params private/static, fix build

From: "R.M. Thomas" <[email-masked]>
Date: Thu, 11 Nov 2010 22:02:39 +0000

Randy Dunlap wrote:
> The easycap driver has module parameters (bars, gain, & debug)
> with global scope that intrude on the kernel namespace and cause
> build problems.  Change the names of them to be driver-specific
> and make 2 of them static.

I did do test builds of the driver in-tree prior to submitting the
recent set of patches, but did not see any warnings so did not spot
this mistake.  There's presumably something wrong with the way I'm
building the kernel.

Thanks,
Mike